# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KKeyDialog Class Reference

Dialog for configuration of KActionCollection, KAccel, and KGlobalAccel. More...

`#include <kkeydialog.h>`

Inheritance diagram for KKeyDialog:

[legend]
Collaboration diagram for KKeyDialog:

[legend]
List of all members.

## Public Member Functions

| KKeyDialog (bool bAllowLetterShortcuts=true, QWidget *parent=0, const char *name=0)
virtual | ~KKeyDialog ()
bool | insert (KActionCollection *)
bool | insert (KActionCollection *, const QString &title)
bool | configure (bool bSaveSettings=true)
void | commitChanges ()

## Static Public Member Functions

static int | configure (KActionCollection *coll, QWidget *parent=0, bool bSaveSettings=true)
static int | configure (KAccel *keys, QWidget *parent=0, bool bSaveSettings=true)
static int | configure (KGlobalAccel *keys, QWidget *parent=0, bool bSaveSettings=true)
static int | configure (KActionCollection *coll, bool bAllowLetterShortcuts, QWidget *parent=0, bool bSaveSettings=true)
static int | configure (KAccel *keys, bool bAllowLetterShortcuts, QWidget *parent=0, bool bSaveSettings=true)
static int | configure (KGlobalAccel *keys, bool bAllowLetterShortcuts, QWidget *parent=0, bool bSaveSettings=true)
static KDE_DEPRECATED int | configureKeys (KAccel *keys, bool save_settings=true, QWidget *parent=0)
static KDE_DEPRECATED int | configureKeys (KGlobalAccel *keys, bool save_settings=true, QWidget *parent=0)
static KDE_DEPRECATED int | configureKeys (KActionCollection *coll, const QString &, bool save_settings=true, QWidget *parent=0)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

Dialog for configuration of KActionCollection, KAccel, and KGlobalAccel.

The KKeyDialog class is used for configuring dictionaries of key/action associations for KActionCollection, KAccel, and KGlobalAccel. It uses the KKeyChooser widget and offers buttons to set all keys to defaults and invoke on-line help.

Three static methods are supplied which provide the most convienient interface to the dialog. The most common and most encouraged use is with KActionCollection.

     KKeyDialog::configure( actionCollection() );

Author:
  Nicolas Hadacek <hadacek@via.ecp.fr>

Definition at line 274 of file kkeydialog.h.

## Constructor & Destructor Documentation

KKeyDialog::KKeyDialog | ( | bool | bAllowLetterShortcuts = `true`,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

| Constructs a KKeyDialog called `name` as a child of `parent`. Set `bAllowLetterShortcuts` to false if unmodified alphanumeric keys ('A', '1', etc.) are not permissible shortcuts. Definition at line 1101 of file kkeydialog.cpp. References KDialogBase::defaultClicked(), KDialogBase::enableButton(), KConfigBase::readSizeEntry(), and KDialogBase::setMainWidget().

KKeyDialog::~KKeyDialog | ( |  | ) | `[virtual]`

| Destructor. Deletes all resources used by a KKeyDialog object. Definition at line 1114 of file kkeydialog.cpp. References KConfigBase::writeEntry().

## Member Function Documentation

bool KKeyDialog::insert | ( | KActionCollection * |  | ) |

Insert an action collection, i.e.

add all its actions to the ones displayed by the dialog. This method can be useful in applications following the document/view design, with actions in both the document and the view. Simply call insert with the action collections of each one in turn.

Returns:
  true :)

Definition at line 1120 of file kkeydialog.cpp.

References KKeyChooser::insert().

Referenced by KXMLGUIFactory::configureShortcuts().

bool KKeyDialog::insert | ( | KActionCollection * | ,
|  | const QString & | title
| ) |

Insert an action collection, i.e.

add all its actions to the ones displayed by the dialog. This method can be useful in applications following the document/view design, with actions in both the document and the view. Simply call insert with the action collections of each one in turn.

Parameters:

  | title | the title associated with the collection (if null, the KAboutData::progName() of the collection's instance is used)

Returns:
  true :)

Since:
  3.1

Definition at line 1125 of file kkeydialog.cpp.

References KKeyChooser::insert().

void KKeyDialog::commitChanges | ( |  | ) |

| Commit key setting changes so that changed settings actually become active. This method is implicitly called from configure if `bSaveSettings` is true. Definition at line 1142 of file kkeydialog.cpp. References KKeyChooser::commitChanges().

int KKeyDialog::configure | ( | KActionCollection * | coll,
|  | QWidget * | parent = `0`,
|  | bool | bSaveSettings = `true`
| ) | `[static]`

Pops up a modal dialog for configuring key settings.

The new shortcut settings will be active if the user presses OK. If `bSaveSettings` if true, the settings will also be saved back to the *uirc file which they were intially read from.

Returns:
  Accept if the dialog was closed with OK, Reject otherwise.

Definition at line 1147 of file kkeydialog.cpp.

Referenced by configure().

int KKeyDialog::configure | ( | KAccel * | keys,
|  | QWidget * | parent = `0`,
|  | bool | bSaveSettings = `true`
| ) | `[static]`

| This is an overloaded member function, provided for convenience. It behaves essentially like the above function, except that settings are saved to a *.rc file using KConfig. Definition at line 1152 of file kkeydialog.cpp. References configure().

int KKeyDialog::configure | ( | KGlobalAccel * | keys,
|  | QWidget * | parent = `0`,
|  | bool | bSaveSettings = `true`
| ) | `[static]`

| This is an overloaded member function, provided for convenience. It behaves essentially like the above function. Definition at line 1157 of file kkeydialog.cpp. References configure().

int KKeyDialog::configure | ( | KActionCollection * | coll,
|  | bool | bAllowLetterShortcuts,
|  | QWidget * | parent = `0`,
|  | bool | bSaveSettings = `true`
| ) | `[static]`

This is an overloaded member function, provided for convenience.

It behaves essentially like the above function.

Parameters:

  | coll | the KActionCollection to configure
  | bAllowLetterShortcuts | Set to false if unmodified alphanumeric keys ('A', '1', etc.) are not permissible shortcuts.
  | parent | the parent widget to attach to
  | bSaveSettings | if true, the settings will also be saved back to the *uirc file which they were intially read from.

Definition at line 1182 of file kkeydialog.cpp.

References configure(), endl(), KKeyChooser::insert(), kdDebug(), and m_pKeyChooser.

int KKeyDialog::configure | ( | KAccel * | keys,
|  | bool | bAllowLetterShortcuts,
|  | QWidget * | parent = `0`,
|  | bool | bSaveSettings = `true`
| ) | `[static]`

| This is an overloaded member function, provided for convenience. It behaves essentially like the above function. Definition at line 1162 of file kkeydialog.cpp. References configure(), KKeyChooser::insert(), and m_pKeyChooser.

int KKeyDialog::configure | ( | KGlobalAccel * | keys,
|  | bool | bAllowLetterShortcuts,
|  | QWidget * | parent = `0`,
|  | bool | bSaveSettings = `true`
| ) | `[static]`

| This is an overloaded member function, provided for convenience. It behaves essentially like the above function. Definition at line 1172 of file kkeydialog.cpp. References configure(), KKeyChooser::insert(), and m_pKeyChooser.

static KDE_DEPRECATED int KKeyDialog::configureKeys | ( | KAccel * | keys,
|  | bool | save_settings = `true`,
|  | QWidget * | parent = `0`
| ) | `[inline, static]`

Deprecated:
  Obsolete. Please use KKeyDialog::configure instead

Definition at line 376 of file kkeydialog.h.

static KDE_DEPRECATED int KKeyDialog::configureKeys | ( | KGlobalAccel * | keys,
|  | bool | save_settings = `true`,
|  | QWidget * | parent = `0`
| ) | `[inline, static]`

Deprecated:
  Obsolete. Please use KKeyDialog::configure instead

Definition at line 382 of file kkeydialog.h.

static KDE_DEPRECATED int KKeyDialog::configureKeys | ( | KActionCollection * | coll,
|  | const QString & | ,
|  | bool | save_settings = `true`,
|  | QWidget * | parent = `0`
| ) | `[inline, static]`

Deprecated:
  Obsolete. Please use KKeyDialog::configure instead

Definition at line 388 of file kkeydialog.h.

The documentation for this class was generated from the following files:

- kkeydialog.h
- kkeydialog.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:31 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003